# coding: utf-8

"""
    Wrk Automation Platform - API v1

    The Wrk API is organized around REST. Our API has predictable resource-oriented URLs, accepts and returns JSON-encoded requests and responses. It uses standard HTTP response codes, authentication, and verbs.  Please note you need will an API key with the appropriate access to use the following APIs. The API key can be obtained from [this page](https://account.wrk.com/api-key) in your Wrk account. To elevate access to your account, please [contact your Sales team](https://www.wrk.com/meet-automation-expert).

    The version of the OpenAPI document: 3.1.0
    Contact: support@wrk.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from wrk_platform_sdk.models.wrk_action_spec import WrkActionSpec

class TestWrkActionSpec(unittest.TestCase):
    """WrkActionSpec unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> WrkActionSpec:
        """Test WrkActionSpec
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `WrkActionSpec`
        """
        model = WrkActionSpec()
        if include_optional:
            return WrkActionSpec(
                application_ref = wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                    organization = 'wrktech', 
                    library = 'core', 
                    name = 'wrktech/wrk-action-resource', ),
                category_ref = wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                    organization = 'wrktech', 
                    library = 'core', 
                    name = 'wrktech/wrk-action-resource', ),
                config_values = wrk_platform_sdk.models.config_values.configValues(),
                cost = wrk_platform_sdk.models.wrk_action_spec_cost.WrkAction_spec_cost(
                    amount = 0.005, 
                    unit_ref = wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', ), ),
                credential_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                delivery_method_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                disallow_self_additional_input = False,
                disallow_self_additional_output = False,
                display_name = 'Download attachments from an email in Gmail',
                documentation_link_url = 'https://support.account.wrk.com/en/articles/8588144',
                input_schema = {"type":"object","required":["gmailRetrieveAttachmentInfoMessageID","gmailToken"],"properties":{"gmailToken":{"type":"string","format":"connected account","propertyOrder":10,"title":"Gmail Credentials"},"gmailRetrieveAttachmentInfoMessageID":{"type":"string","description":"ID of the message to download the attachments from. Example: 18b8b2199178426a","format":"text","propertyOrder":100,"title":"Message ID"},"gmailRetrieveAttachmentInfoEmailAddress":{"type":"string","description":"The email address where the message ID can be found. If left blank your primary email address will be used","format":"email","propertyOrder":110,"title":"Email address"}}},
                oauth_scope_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                outcome_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                output_schema = {"type":"object","required":[],"properties":{"gmailDownloadOutputAttachmentFile":{"type":"object","description":"The file attached to the email","file":true,"propertyOrder":100,"properties":{"data_id":{"type":"string"}},"title":"Downloaded file"},"gmailDownloadOutputAttachmentFileName":{"type":"string","description":"The name of the file downloaded","format":"text","propertyOrder":1000,"title":"File name"},"gmailDownloadOutputAttachmentFileType":{"type":"string","description":"The type (extension) of the file downloaded","format":"text","propertyOrder":1100,"title":"File type"},"gmailDownloadOutputAttachmentUniqueID":{"type":"string","description":"The ID of the file downloaded","format":"blob","propertyOrder":1200,"title":"File ID"}}},
                summary = 'Download attachments from a email in Gmail for a given attachment ID.

Inputs: File name, file type, file mime type, file id and file data
Outputs: Downloaded file, file name, and file type
Outcomes: Success or no result
',
                tag_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                visibility = 'VISIBLE'
            )
        else:
            return WrkActionSpec(
                category_ref = wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                    organization = 'wrktech', 
                    library = 'core', 
                    name = 'wrktech/wrk-action-resource', ),
                config_values = wrk_platform_sdk.models.config_values.configValues(),
                delivery_method_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                disallow_self_additional_input = False,
                disallow_self_additional_output = False,
                display_name = 'Download attachments from an email in Gmail',
                input_schema = {"type":"object","required":["gmailRetrieveAttachmentInfoMessageID","gmailToken"],"properties":{"gmailToken":{"type":"string","format":"connected account","propertyOrder":10,"title":"Gmail Credentials"},"gmailRetrieveAttachmentInfoMessageID":{"type":"string","description":"ID of the message to download the attachments from. Example: 18b8b2199178426a","format":"text","propertyOrder":100,"title":"Message ID"},"gmailRetrieveAttachmentInfoEmailAddress":{"type":"string","description":"The email address where the message ID can be found. If left blank your primary email address will be used","format":"email","propertyOrder":110,"title":"Email address"}}},
                oauth_scope_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                outcome_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                output_schema = {"type":"object","required":[],"properties":{"gmailDownloadOutputAttachmentFile":{"type":"object","description":"The file attached to the email","file":true,"propertyOrder":100,"properties":{"data_id":{"type":"string"}},"title":"Downloaded file"},"gmailDownloadOutputAttachmentFileName":{"type":"string","description":"The name of the file downloaded","format":"text","propertyOrder":1000,"title":"File name"},"gmailDownloadOutputAttachmentFileType":{"type":"string","description":"The type (extension) of the file downloaded","format":"text","propertyOrder":1100,"title":"File type"},"gmailDownloadOutputAttachmentUniqueID":{"type":"string","description":"The ID of the file downloaded","format":"blob","propertyOrder":1200,"title":"File ID"}}},
                summary = 'Download attachments from a email in Gmail for a given attachment ID.

Inputs: File name, file type, file mime type, file id and file data
Outputs: Downloaded file, file name, and file type
Outcomes: Success or no result
',
                tag_refs = [
                    wrk_platform_sdk.models.wrk_action_resource_reference.WrkActionResourceReference(
                        organization = 'wrktech', 
                        library = 'core', 
                        name = 'wrktech/wrk-action-resource', )
                    ],
                visibility = 'VISIBLE',
        )
        """

    def testWrkActionSpec(self):
        """Test WrkActionSpec"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
